This documentation references Amazon ParallelCluster. For running HPC and AI workloads, we recommend Amazon Parallel Computing Service (Amazon PCS)
updateComputeFleet
Update the status of the cluster compute fleet.
Request syntax
PATCH /v3/clusters/{clusterName}/computefleet { "status": "string", "region": "string" }
Request body
- clusterName
-
The name of the cluster.
Type: string
Required: Yes
- status
-
The compute fleet status.
Type: string
Valid values:
START_REQUESTED | STOP_REQUESTED | ENABLED | DISABLEDRequired: Yes
- region
-
The Amazon Web Services Region that the cluster is in.
Type: string
Required: No
Response syntax
{ "status": "START_REQUESTED", "lastStatusUpdatedTime": "2019-08-24T14:15:22Z" }
Response body
- status
-
The compute fleet status.
Type: string
Valid values:
START_REQUESTED | STARTING | RUNNING | PROTECTED | STOP_REQUESTED | STOPPING | STOPPED | UNKNOWN | ENABLED | DISABLED - lastStatusUpdatedTime
-
The timestamp that represents the last status update time.
Type: datetime